public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/tif22pnm/files/, media-gfx/tif22pnm/
Date: Fri, 13 Dec 2019 15:07:41 +0000 (UTC)	[thread overview]
Message-ID: <1576249633.e82de422ac06de5df4829df9c0ed069c3a1e7610.soap@gentoo> (raw)

commit:     e82de422ac06de5df4829df9c0ed069c3a1e7610
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 15:07:13 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 15:07:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e82de422

media-gfx/tif22pnm: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../tif22pnm/files/tif22pnm-0.14-gentoo.patch      |  8 ++++----
 media-gfx/tif22pnm/tif22pnm-0.14.ebuild            | 24 ++++++++++++++--------
 2 files changed, 19 insertions(+), 13 deletions(-)

diff --git a/media-gfx/tif22pnm/files/tif22pnm-0.14-gentoo.patch b/media-gfx/tif22pnm/files/tif22pnm-0.14-gentoo.patch
index f71c751bd1a..cc97d68d232 100644
--- a/media-gfx/tif22pnm/files/tif22pnm-0.14-gentoo.patch
+++ b/media-gfx/tif22pnm/files/tif22pnm-0.14-gentoo.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
 @@ -21,7 +21,6 @@
  dnl Checks for programs.
  AC_PROG_CC
@@ -8,8 +8,8 @@
  dnl ^^^ set it to non-empty, so AC_PROG_CXX won't include `-g'
  dnl AC_PROG_CXX
  dnl AC_PTS_PROG_CFLAGS(fs, -fsigned-char)
---- do.sh
-+++ do.sh
+--- a/do.sh
++++ b/do.sh
 @@ -35,8 +35,8 @@
  if [ x"$CMD" != x ]; then echo "Executing: $CMD"; fi
  

diff --git a/media-gfx/tif22pnm/tif22pnm-0.14.ebuild b/media-gfx/tif22pnm/tif22pnm-0.14.ebuild
index fd8bd8740a0..cb5142c6aa6 100644
--- a/media-gfx/tif22pnm/tif22pnm-0.14.ebuild
+++ b/media-gfx/tif22pnm/tif22pnm-0.14.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-inherit autotools eutils flag-o-matic
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="tif22pnm and png22pnm command-line converters"
 HOMEPAGE="http://pts.szit.bme.hu/ https://code.google.com/p/sam2p/"
@@ -11,19 +12,24 @@ SRC_URI="https://sam2p.googlecode.com/files/${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-RDEPEND=">=media-libs/libpng-1.2:0
-	media-libs/tiff:0"
+RDEPEND="
+	media-libs/libpng:0=
+	media-libs/tiff:0="
 DEPEND="${RDEPEND}"
 
+PATCHES=(
+	"${FILESDIR}"/${P}-gentoo.patch
+	"${FILESDIR}"/${P}-math.patch
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-gentoo.patch
-	epatch "${FILESDIR}"/${P}-math.patch
+	default
+	mv configure.{in,ac} || die
 	eautoreconf
 }
 
 src_install() {
 	dobin png22pnm tif22pnm
-	dodoc README
+	einstalldocs
 }


             reply	other threads:[~2019-12-13 15:07 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-13 15:07 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-15 20:37 [gentoo-commits] repo/gentoo:master commit in: media-gfx/tif22pnm/files/, media-gfx/tif22pnm/ Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576249633.e82de422ac06de5df4829df9c0ed069c3a1e7610.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox